﻿using System;

namespace SilverlightS3.Util
{
    /// <summary>
    /// AWS S3アクセスに利用するユーティリティクラスです。
    /// </summary>
    public class S3Util
    {
        /// <summary>AWSキーです。</summary>
        public const String AWS_AWS_ID = ""; // ご自身のキーを記述してください。

        /// <summary>AWSシークレットキーです。</summary>
        public const String AWS_SECRET_KEY = ""; // ご自身のキーを記述してください。

        /// <summary>S3 OPERATION:ListAllMyBuckets</summary>
        public const String S3_OPERATION_LIST_ALL_MY_BUCKETS = "ListAllMyBuckets";

        /// <summary>S3 OPERATION:ListBucket</summary>
        public const String S3_OPERATION_LIST_BUCKET = "ListBucket";

        /// <summary>Amazon S3接続クライアントです。</summary>
        private static AWSS3.AmazonS3Client s3;

        /// <summary>
        /// Amazon S3接続クライアントを取得する
        /// </summary>
        /// <returns></returns>
        public static AWSS3.AmazonS3Client getS3()
        {
            if (s3 == null)
            {
                s3 = new AWSS3.AmazonS3Client();
            }

            return s3;
        }
    }
}
