﻿using System;
using System.Windows.Controls;
using System.Windows.Navigation;

namespace SilverlightS3.Views
{
    /// <summary>
    /// 共通ヘッダーです。
    /// </summary>
    public partial class Header : UserControl
    {
        /// <summary>
        /// コンストラクタです。
        /// </summary>
        public Header()
        {
            InitializeComponent();
        }

        /// <summary>
        /// バケット一覧へ画面遷移します。
        /// </summary>
        /// <param name="nagivationService">各PageのNavigationServiceプロパティです。</param>
        public void navigateToBucketList(NavigationService nagivationService)
        {
            BucketNameTextBox.Text = "";

            Uri contentListPageUri = new Uri(String.Format("/Views/BucketList.xaml"), UriKind.Relative);

            nagivationService.Navigate(contentListPageUri);
        }
    }
}
